
From: mita akinobu <amgta@yacht.ocn.ne.jp>

I had tried to compile with CONFIG_NUMA and got this error:

  CC      kernel/sched.o
kernel/sched.c: In function `sched_domain_node_span':
kernel/sched.c:4001: error: invalid lvalue in unary `&'
make[1]: *** [kernel/sched.o] Error 1
make: *** [kernel] Error 2

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-domain-node-span-4-fix2 kernel/sched.c
--- 25/kernel/sched.c~sched-domain-node-span-4-fix2	Fri Aug 20 15:35:31 2004
+++ 25-akpm/kernel/sched.c	Fri Aug 20 15:35:31 2004
@@ -3722,7 +3722,10 @@ cpumask_t __init sched_domain_node_span(
 
 	for (i = 0; i < size; i++) {
 		int next_node = find_next_best_node(node, used_nodes);
-		cpus_or(span, span, node_to_cpumask(next_node));
+		cpumask_t  nodemask;
+
+		nodemask = node_to_cpumask(next_node);
+		cpus_or(span, span, nodemask);
 	}
 
 	return span;
_
